import request from '@/utils/request'

// 创建小程序模板
export function createStandardTemplate(data) {
  return request({
    url: '/configure/uni-template/createStandardTemplate',
    method: 'post',
    data: data
  })
}

export function createCustomizeTemplate(data) {
  return request({
    url: '/configure/uni-template/createCustomizeTemplate',
    method: 'post',
    data: data
  })
}

// 更新小程序模板
export function updateStandardTemplate(data) {
  return request({
    url: '/configure/uni-template/updateStandardTemplate',
    method: 'put',
    data: data
  })
}

export function updateCustomizeTemplate(data) {
  return request({
    url: '/configure/uni-template/updateCustomizeTemplate',
    method: 'put',
    data: data
  })
}

// 删除小程序模板
export function deleteUniTemplate(id) {
  return request({
    url: '/configure/uni-template/delete?id=' + id,
    method: 'delete'
  })
}

// 获得小程序模板
export function getUniTemplate(id) {
  return request({
    url: '/configure/uni-template/get?id=' + id,
    method: 'get'
  })
}

// 获得小程序模板分页
export function getUniTemplatePage(query) {
  return request({
    url: '/configure/uni-template/page',
    method: 'get',
    params: query
  })
}

// 获得小程序模板下拉选项
export function getUniTemplateOptions() {
  return request({
    url: '/configure/uni-template/options',
    method: 'get',
  })
}
